## org.eclipse.datatools.sqltools.sqlbuilder.views.execute
Class ExecuteViewer

    java.lang.Object
      org.eclipse.jface.window.Window
          org.eclipse.jface.dialogs.Dialog
              org.eclipse.datatools.sqltools.sqlbuilder.views.execute.ExecuteViewer

All Implemented Interfaces:
  org.eclipse.jface.window.IShellProvider

    public class ExecuteViewer

extends org.eclipse.jface.dialogs.Dialog

Execute the statement. Display errors in Task List

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jface.window.Window
`org.eclipse.jface.window.Window.IExceptionHandler`

Field Summary

Fields inherited from class org.eclipse.jface.dialogs.Dialog
`blockedHandler, buttonBar, DIALOG_DEFAULT_BOUNDS, DIALOG_PERSISTLOCATION, DIALOG_PERSISTSIZE, DLG_IMG_ERROR, DLG_IMG_HELP, DLG_IMG_INFO, DLG_IMG_MESSAGE_ERROR, DLG_IMG_MESSAGE_INFO, DLG_IMG_MESSAGE_WARNING, DLG_IMG_QUESTION, DLG_IMG_WARNING, ELLIPSIS`

Fields inherited from class org.eclipse.jface.window.Window
`CANCEL, OK`

Constructor Summary
`ExecuteViewer(org.eclipse.swt.widgets.Shell shell, java.lang.Object element, SQLDomainModel domain)`

Method Summary
`void` `createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.swt.widgets.Control` `createDialogArea(org.eclipse.swt.widgets.Composite parent)`
`org.eclipse.core.runtime.IStatus` `createStatus(java.sql.SQLWarning except)`
`org.eclipse.swt.widgets.Control` `getControl()`
`Database` `getDatabase()` Gets the database.
`QueryStatement` `getElement()`
`void` `refreshStatement()` Refresh the statement on the entry field when turned to page
`void` `setElement(QueryStatement newElement)`
`void` `setInput(java.lang.Object input)` When an object is selected, refresh the statement on the entry field

Methods inherited from class org.eclipse.jface.dialogs.Dialog
`applyDialogFont, close, convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, create, getBlockedHandler, getImage, setBlockedHandler, shortenText`

Methods inherited from class org.eclipse.jface.window.Window
`getDefaultImage, getDefaultImages, getDefaultOrientation, getReturnCode, getShell, getWindowManager, open, setBlockOnOpen, setDefaultImage, setDefaultImages, setDefaultModalParent, setDefaultOrientation, setExceptionHandler, setWindowManager`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteViewer

    public ExecuteViewer(org.eclipse.swt.widgets.Shell shell,
                         java.lang.Object element,
                         SQLDomainModel domain)

Method Detail

### getControl

    public org.eclipse.swt.widgets.Control getControl()

### createButtonsForButtonBar

    public void createButtonsForButtonBar(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createButtonsForButtonBar` in class `org.eclipse.jface.dialogs.Dialog`

### createDialogArea

    public org.eclipse.swt.widgets.Control createDialogArea(org.eclipse.swt.widgets.Composite parent)

  Overrides:
    `createDialogArea` in class `org.eclipse.jface.dialogs.Dialog`

### setElement

    public void setElement(QueryStatement newElement)

### getElement

    public QueryStatement getElement()

### createStatus

    public org.eclipse.core.runtime.IStatus createStatus(java.sql.SQLWarning except)

### setInput

    public void setInput(java.lang.Object input)

  When an object is selected, refresh the statement on the entry field

### refreshStatement

    public void refreshStatement()

  Refresh the statement on the entry field when turned to page

### getDatabase

    public Database getDatabase()

  Gets the database.

  Returns:
    Returns a RDBDatabase